//---------------------------------------------------------------------------

#ifndef FrmVmsCamFH
#define FrmVmsCamFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <OleCtrls.hpp>
#include <ADODB.hpp>
#include <DB.hpp>
#include <Menus.hpp>
#include "CDSVmsCtlrF.h"
#include "FFBaseComponent.hpp"
#include "FFBasePlay.hpp"
#include "FFPlay.hpp"
//---------------------------------------------------------------------------
class TFrmVmsCam : public TForm
{
__published:	// IDE-managed Components
    TPanel *PnlBack;
    TTimer *TmrShow;
    TPanel *PnlBlob;
    TADOQuery *pADO;
    TImage *ImgBlob;
    TPopupMenu *PopupMenu1;
    TMenuItem *MnuConnect;
    TMenuItem *MnuDisconnect;
    TFFPlayer *FFPlayer1;
    void __fastcall TmrShowTimer(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall MnuConnectClick(TObject *Sender);
    void __fastcall MnuDisconnectClick(TObject *Sender);
    void __fastcall FFPlayer1State(TObject *Sender, TPlayState APlayState);
private:	// User declarations

    bool    FDispBlob;
    DWORD   FProcessId;
    HWND    FWnd;
    PROCESS_INFORMATION     ProcessInfo;
public:		// User declarations

    TVmsCtlr *FObj;
    TForm    *FPalyerForm;

    //String  FTitle;
    bool    FAutoPlay;
    bool    FPlay;
    long    FConHandle;

    //bool    FInstalled;
    String  FId;
    String  FGroup;
    String  FName;
    String  FStreamingType;
    String  FViewAddress;
    String  FFullAddress;

    void __fastcall InitCamera(void *ACctv, bool AAutoPlay=true);

    void __fastcall Connect();
    void __fastcall Disconnect();
    void __fastcall CameraRelease();

    void __fastcall RefreshCctv();

    __fastcall TFrmVmsCam(TComponent* Owner);
};
//---------------------------------------------------------------------------
//extern PACKAGE TFrmCctvCam *FrmCctvCam;
//---------------------------------------------------------------------------
#endif

